Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.sagapi
Class SAGConstants.C_Sw_SessionStatus

    java.lang.Object
      com.stc.connector.sagadapter.sagapi.SAGConstants.C_Sw_SessionStatus

Enclosing class:
  SAGConstants

    public static class SAGConstants.C_Sw_SessionStatus

extends java.lang.Object

Constants for Sw_SessionStatus

Version:
  cvs revision: $Revision: 1.5 $ Last Modified: $Date: 2007/07/06 23:52:30 $
Author:
  Harry Liu (harry.liu@sun.com)

Constructor Summary
`SAGConstants.C_Sw_SessionStatus()`

Method Summary
`static java.lang.String` | `getAcquiring()` Returns acquiring session status.
`static java.lang.String` | `getActive()` Returns active session status.
`static java.lang.String` | `getClosed()` Returns the session status.
`static java.lang.String` | `getTimedOut()` Returns the session status timeout.
`static boolean` | `hasValue(java.lang.String value)` Checks whether the constant category has/contains the specified value.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAGConstants.C_Sw_SessionStatus

    public SAGConstants.C_Sw_SessionStatus()

Method Detail

### getActive

    public static final java.lang.String getActive()

  Returns active session status.

  Parameters:
    None.

  Returns:
    `String` - Returns SESSION_STATUS_ACTIVE.
  Throws:
    None.

### getAcquiring

    public static final java.lang.String getAcquiring()

  Returns acquiring session status.

  Parameters:
    None.

  Returns:
    `String` - Returns SESSION_STATUS_ACQUIRING.
  Throws:
    None.

### getTimedOut

    public static final java.lang.String getTimedOut()

  Returns the session status timeout.

  Parameters:
    None.

  Returns:
    `String` - Returns SESSION_STATUS_TIMEDOUT.
  Throws:
    None.

### getClosed

    public static final java.lang.String getClosed()

  Returns the session status.

  Parameters:
    None.

  Returns:
    `String` - Returns SESSION_STATUS_CLOSED.
  Throws:
    None.

### hasValue

    public static final boolean hasValue(java.lang.String value)

  Checks whether the constant category has/contains the specified value.

  Parameters:
    `value` - The value to be checked.
  Returns:
    true or false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.